penetrate(6)

NAME
penetrate - simulates a classic arcade shooting game

SYNOPSIS
penetrate [-display host:display.screen] [-root] [-window] [-install] [-noinstall] [-visual visual] [-bgrowth microseconds] [-lrate number] [-smart number] [-fps]

DESCRIPTION

Penetrate simulates the arcade classic with the cities and the stuff shooting down from the sky and stuff. The computer plays against itself, desperately defending the forces of good against those thingies raining down. Bonus cities are awarded at ever-increasing intervals. Every five levels appears a bonus round. The computer player gets progressively more intelligent as the game progresses. Better aim, more economical with ammo, and better target selection. Points are in the bottom right, and high score is in the bottom left. Start with -smart to have the computer player skip the learning process.

OPTIONS

-display host:display.screen
    Specifies which X display we should use.

-root
    Draw on the root window.

-window
    Draw on a newly-created window. This is the default.

-install
    Install a private colormap for the window.

-noinstall
    Don't install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual. Possible choices include
    default, best, mono, monochrome, gray, grey, color, staticgray, staticcolor, truecolor, grayscale, greyscale, pseudocolor, directcolor, number If a decimal or hexadecimal number is used, XGetVisualInfo(3X) is consulted to obtain the required visual.

-foreground color
    Specifies the default foreground color.

-background color
    Specifies the default background color.

-bgrowth integer
    Specifies the growth rate of the bomb explosions.

-lrate integer
    Set the initial rate of laser fire.

-smart
    Have the computer player skip the learning process.

-fps
    Display the current frame rate and CPU load.

BUGS
The layout of the screen isn't quite the same as the game this program tries to emulate. In this this program, the missiles come out of the cities; when really, there are supposed to be three missile bases on hills, with the cities in the valleys between them. See http://www.mame.net/ for details.

COPYRIGHT
Copyright © 1999 Adam Miller. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Adam Miller <adum@aya.yale.edu>, 1999.